summaryrefslogtreecommitdiff
path: root/pst/install-2cd-extra.sh
diff options
context:
space:
mode:
authornick <myownlittlworld@hotmail.com>2009-05-25 18:26:27 -0500
committernick <myownlittlworld@hotmail.com>2009-05-25 18:26:27 -0500
commit0d14bb784aa524de00c88e9a25bb812c5339cc43 (patch)
tree4e4d23f1a015fe0d6c6a02626f20fb7b9555de28 /pst/install-2cd-extra.sh
parent6ec9844921a2a465e02c26e0a09344aaff70fe93 (diff)
downloadgemrb-gameinstallers-0d14bb784aa524de00c88e9a25bb812c5339cc43.tar.bz2
gemrb-gameinstallers-0d14bb784aa524de00c88e9a25bb812c5339cc43.zip
Safely escaped all potentially unsafe variables.
And probably a couple already safe ones too.
Diffstat (limited to 'pst/install-2cd-extra.sh')
-rwxr-xr-xpst/install-2cd-extra.sh18
1 files changed, 9 insertions, 9 deletions
diff --git a/pst/install-2cd-extra.sh b/pst/install-2cd-extra.sh
index f37e173..82e9002 100755
--- a/pst/install-2cd-extra.sh
+++ b/pst/install-2cd-extra.sh
@@ -17,8 +17,8 @@
# Extra Planescape: Torment (2CD version) content (so CDs aren't needed)
scriptdir="$(dirname $0)"/..
-source "$scriptdir/includes/generic-includes.sh"
-source "$scriptdir/includes/cd-includes.sh"
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
parseargs "$@"
@@ -26,16 +26,16 @@ checkforbin unshield
CD2="610d9f6354be741b09fc25b5e9645328"
-getcd 1 $PST_2CD_MD5 data1.cab
+getcd 1 "$PST_2CD_MD5" data1.cab
-unshield -g OtherData -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
-unshield -g OtherData -L x $CDMOUNT/data2.cab -d "$TARGETDIR" || die
+unshield -g OtherData -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -g OtherData -L x "${CDMOUNT}/data2.cab" -d "$TARGETDIR" || die
-mv "$TARGETDIR"/otherdata/* "$TARGETDIR" || die
-rmdir "$TARGETDIR"/otherdata || die
+mv "${TARGETDIR}/otherdata/"* "$TARGETDIR" || die
+rmdir "${TARGETDIR}/otherdata" || die
-getcd 2 $CD2 cd2/movies4.bif
+getcd 2 "$CD2" "cd2/movies4.bif"
-copylower "$CDMOUNT/cd2/" "$TARGETDIR" || die
+copylower "${CDMOUNT}/cd2/" "$TARGETDIR" || die
setperms "$TARGETDIR"